Skip to main content
GET
/
chains
/
{chainKey}
/
protocols
Protocols
curl --request GET \
  --url https://api.octav.fi/v1/chains/{chainKey}/protocols \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "uuid": "<string>",
      "name": "<string>",
      "key": "<string>",
      "imgSmall": "<string>",
      "imgLarge": "<string>",
      "isUserProtocol": true
    }
  ],
  "pagination": {
    "page": 123,
    "limit": 123,
    "hasMore": true
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chainKey
string
required

Chain identifier (e.g. "ethereum", "solana", "arbitrum"). Must match a chain's key field from the Chains endpoint.

Query Parameters

page
integer
default:1

Page number for pagination

Required range: x >= 1
limit
integer
default:20

Number of protocols per page (1-100)

Required range: 1 <= x <= 100

Response

Successful response

data
object[]

Array of protocol objects

pagination
object

Pagination metadata